@charset "utf-8";


:root {
	--article-text: #333;
}

/* https://stackoverflow.com/questions/56300132/how-to-override-css-prefers-color-scheme-setting */
[data-theme="dark"] {
	--article-text: #CCC;
}

/* Content styling */
section {
	color: var(--article-text);
}

section :last-child {
	margin-bottom: 0;
}

.date {
	margin-top: 0;
	font-size: 1.15rem;
	color: darkgray;
	text-transform: uppercase;
	font-weight: 600;
}

a {
	color: var(--a-colour);
}

p {
	margin-block: 1em;
	word-wrap: break-word;
	text-align: justify;
}

h1 {
	margin-block: 0;
	font-weight: normal;
	text-align: left;
}

h2 {
	margin-top: 0;
	margin-bottom: 0.5rem;
	font-weight: normal;
	text-align: left;
}

h3 {
	margin-top: 1.5rem;
	margin-bottom: 0.25rem;
	font-weight: normal;
}

img,
svg {
	transition: all 0.3s cubic-bezier(.25, .8, .25, 1);
}

img:hover {
	width: 75%;
	-webkit-box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
	box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
}

@media (max-aspect-ratio: 1/1) {

	img,
	svg {
		width: 75%;
	}

	img:hover {
		width: 100%;
	}
}

code {
	font-size: 85%;
	font-family: 'Lucida Console', 'Courier New', Courier, monospace;
	padding-left: 0.25rem;
	padding-right: 0.25rem;
	padding-top: 0.25rem;
	padding-bottom: 0.15rem;
	border-radius: 0.25rem;
}

h2 code {
	font-size: 1.3rem;
}

h3 code {
	font-size: 1.15rem;
}

pre {
	display: inline-block;
	max-width: 100%;
	margin: auto;
	overflow-x: auto;

	text-align: left;
}

.wip {
	margin: 0;
	padding: 1rem;
	border-radius: 1rem;
	text-align: center;
	font-size: 1.15rem;
	box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19), 0 6px 6px rgba(0, 0, 0, 0.23);
	margin-bottom: 2rem;
}

.section-anchor-link {
	text-decoration: none;
	color: #00000044;
}

div.section-anchor-view {
	display: block;
	position: relative;
	top: -5em;
	visibility: hidden;
}


table {
	display: inline-block;
	max-width: 100%;
	margin-right: auto;
	overflow-x: auto;

	table-layout: fixed;
	border: 1px solid var(--accent);
	border-spacing: 0em;
}

table caption {
	font-size: 1.5em;
	margin-block: 0.25em;
}

th {
	border-bottom: 2px solid var(--accent);
	padding-inline: 1em;
	padding-block: 1em;
}

td {
	padding-inline: 1em;
	padding-block: 0.25em;
}

table td+td {
	border-left: 1px solid var(--accent)
}

object {
	width: 100%;
	height: 50dvh;
}